Hello everyone,
I want to draw multiple circles in the sketch. So call the CreateCircleByRadius2 function, called the two, the radius of the circle are 12.5mm, the sketch drawn circle, the first radius is 12.5mm, the second will become 17.5mm, I do not know why. Please generous with your criticism.
Here is my code.
private void btnDrawCircle_Click(object sender, EventArgs e)
{
string err;
m_ModelDoc = m_SwAPI.openModle("E:\\dn1000-4-6-19\\零件1.SLDPRT", out err, 1);
ModelDocExtension m_swMDocExt = m_ModelDoc.Extension;
FeatureManager m_swFeatMgr = m_ModelDoc.FeatureManager;
Sketch m_swSketch = m_ModelDoc.IGetActiveSketch2();
if (m_swSketch == null)
{
m_swMDocExt.SelectByID2("Front", "PLANE", 0.0, 0.0, 0.0, false, 0, null, 0);
m_ModelDoc.InsertSketch2(true);
}
m_ModelDoc.ViewZoomTo2(-0.75,-0.75,0.0,0.75,0.75,0);
m_ModelDoc.CreateCircleByRadius2(0.0, 0.275777, 0.0, 0.0125);
m_ModelDoc.CreateCircleByRadius2(0.0175, 0.306088, 0.0, 0.0125);
}
SolidworksApi macros